package cn.fastfun.controller.param;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

@Setter
@Getter
public class LoginParam {

    @Size(min = 1, max = 20, message = "账号格式错误")
    @NotBlank(message = "账号不能为空!")
    @JsonProperty("username")
    @ApiModelProperty(value = "账号", name = "userName", example = "admin")
    private String userName;

    @Size(min = 1, max = 36, message = "密码格式错误")
    @NotBlank(message = "密码不能为空!")
    @JsonProperty("password")
    @ApiModelProperty(value = "密码", name = "userPass", example = "111111")
    private String userPass;

}
